package com.ibm.dse.automaton.html;

/*_
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 * 5648-D89
 * (C) Copyright IBM Corp. 2000
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp
 */
import com.ibm.dse.base.*;

/**
 * This class represents a stored HTML processor object. It contains
 * all the information necessary for taking a 'snapshot' of a processor
 * at a given time, and restoring later to the state it was in at the
 * moment of the 'snapshot'.
 *
 * @copyright(c) Copyright IBM Corporation 2000
 */
public class HtmlProcessorInfo implements java.io.Serializable
{
	private static final java.lang.String COPYRIGHT =
		"Licensed Materials - Property of IBM "+//$NON-NLS-1$
		"Restricted Materials of IBM "+//$NON-NLS-1$
		"5648-D89 "+//$NON-NLS-1$
		"(C) Copyright IBM Corp. 2000 All Rights Reserved. "+//$NON-NLS-1$
		"US Government Users Restricted Rights - Use, duplication or disclosure "+//$NON-NLS-1$
		"restricted by GSA ADP Schedule Contract with IBM Corp ";//$NON-NLS-1$
	private java.lang.String parentId = null;
	private java.lang.String processName = null;
	private java.lang.String processorStatus = null;
	private HtmlStateInfo currentStateInfo = null;
	private String contextId = null;
	//Time-stamp for the current processor
	private Long timeStamp = null;
	//Expiration timeout.
	private Long processorTimeout = null;
	// Expiration boolean
	private boolean expired = false;
	// Processor Id
	private String id = null;
	/** Application session support **/
	private String parentSessionId = null;
	/** Application session support **/
	private String parentAppSessionId = null;
/**
 * HTMLProcessorInfo constructor.
 */
public HtmlProcessorInfo() {
	super();
}
/**
 * Returns the context id attribute of this processor.
 * 
 * @return java.lang.String
 */
public String getContextId() {
	return contextId;
}
/**
 * Returns the state information attribute of this object.
 * 
 * @return com.ibm.dse.automaton.html.HtmlStateInfo
 */
public HtmlStateInfo getCurrentStateInfo() {
	return currentStateInfo;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 4:00:05 PM)
 * @return java.lang.String
 */
public java.lang.String getId() {
	return id;
}
	/**
	 * Gets the parentAppSessionId
	 * @return Returns a String
	 */
	public String getParentAppSessionId() {
		return parentAppSessionId;
	}
/**
 * Returns the parent id attribute of this objetc.
 * 
 * @return java.lang.String
 */
public java.lang.String getParentId() {
	return parentId;
}
	/**
	 * Gets the parentSessionId
	 * @return Returns a String
	 */
	public String getParentSessionId() {
		return parentSessionId;
	}
/**
 * Returns the processor name attribute of this object.
 * 
 * @return java.lang.String
 */
public java.lang.String getProcessorName() {
	return processName;
}
/**
 * Returns the processor status attribute of this object.
 * 
 * @return java.lang.String
 */
public java.lang.String getProcessorStatus() {
	return processorStatus;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 12:50:36 PM)
 * @return java.lang.Long
 */
public java.lang.Long getProcessorTimeout() {
	return processorTimeout;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 12:50:36 PM)
 * @return java.lang.Long
 */
public java.lang.Long getTimeStamp() {
	return timeStamp;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 3:10:47 PM)
 * @return boolean
 */
public boolean isExpired() {
	return expired;
}
/**
 * Sets the context id attribute of this processor.
 * 
 * @param newParentId java.lang.String
 */
public void setContextId(String newContextId) {
	contextId = newContextId;
}
/**
 * Sets the state information attribute of this object.
 * 
 * @param newCurrentStateInfo com.ibm.dse.automaton.html.HtmlStateInfo
 */
public void setCurrentStateInfo(HtmlStateInfo newCurrentStateInfo) {
	currentStateInfo = newCurrentStateInfo;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 3:10:47 PM)
 * @param newExpired boolean
 */
public void setExpired(boolean newExpired) {
	expired = newExpired;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 4:00:05 PM)
 * @param newId java.lang.String
 */
public void setId(java.lang.String newId) {
	id = newId;
}
	/**
	 * Sets the parentAppSessionId
	 * @param parentAppSessionId The parentAppSessionId to set
	 */
	public void setParentAppSessionId(String parentAppSessionId) {
		this.parentAppSessionId = parentAppSessionId;
	}
/**
 * Sets the parent id attribute of this object.
 * 
 * @param newParentId java.lang.String
 */
public void setParentId(java.lang.String newParentId) {
	parentId = newParentId;
}
	/**
	 * Sets the parentSessionId
	 * @param parentSessionId The parentSessionId to set
	 */
	public void setParentSessionId(String parentSessionId) {
		this.parentSessionId = parentSessionId;
	}
/**
 * Sets the processor name attribute of this object.
 * 
 * @param newProcessName java.lang.String
 */
public void setProcessorName(java.lang.String newProcessName) {
	processName = newProcessName;
}
/**
 * Sets the processor status attribute of this object.
 * 
 * @param newProcessorStatus java.lang.String
 */
public void setProcessorStatus(java.lang.String newProcessorStatus) {
	processorStatus = newProcessorStatus;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 12:50:36 PM)
 * @param newProcessorTimeout java.lang.Long
 */
public void setProcessorTimeout(java.lang.Long newProcessorTimeout) {
	processorTimeout = newProcessorTimeout;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/2001 12:50:36 PM)
 * @param newTimeStamp java.lang.Long
 */
public void setTimeStamp(java.lang.Long newTimeStamp) {
	timeStamp = newTimeStamp;
}
}
