package com.ibm.dse.automaton.html;

/*_
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 * 5648-D89
 * (C) Copyright IBM Corp. 2000
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp
 */
import com.ibm.dse.base.*;
/**
 * Abstract definition of a validator class. It extends the behaviour
 * of OperationXValidate, to support data validation for processors.
 * 
 * @copyright(c) Copyright IBM Corporation 2000
 */
public interface ProcessorXValidate extends com.ibm.dse.base.OperationXValidate
{

/**
 * This method should contain the logic for validating data passed in the
 * context supplied as argument. Several different contexes can be passed
 * in to this method, and implementors should decide what validation to do
 * based on the string argument.
 * 
 * @return java.lang.String[]
 * @param context com.ibm.dse.base.Context
 * @param transitionName java.lang.String
 * @exception java.lang.Exception
 */
public abstract String[] xValidate(com.ibm.dse.base.Context context, String transitionName) throws java.lang.Exception;
}
