package com.ibm.dse.cs.html;

/*_
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 * 5648-D89
 * (C) Copyright IBM Corp. 2000, 2003
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp
 */
import com.ibm.dse.base.*;
import com.ibm.dse.clientserver.*;
import java.util.*;
/**
 * Encapsulate the objects which are used when processing a request from
 * an html client. Instances of this class are used to manage Html back and
 * double post processing.
 * @copyright(c) Copyright IBM Corporation 2000, 2003.
 */
public class HtmlRequestData
{
	private static final java.lang.String COPYRIGHT =
		"Licensed Materials - Property of IBM "+//$NON-NLS-1$
		"Restricted Materials of IBM "+//$NON-NLS-1$
		"5648-D89 "+//$NON-NLS-1$
		"(C) Copyright IBM Corp. 2000, 2003 All Rights Reserved. "+//$NON-NLS-1$
		"US Government Users Restricted Rights - Use, duplication or disclosure "+//$NON-NLS-1$
		"restricted by GSA ADP Schedule Contract with IBM Corp ";//$NON-NLS-1$
		// Channel context corresponding to this request.
		public ChannelContext channelContext;
		// The operation corresponding to this request. If a double click occurs, the first 
		// request will execute this op; but it will be used to generate a response by the last
		// incoming request.
		public DSEServerOperation operation;
		// Semaphore associated with a request. If a double click occurs, the second, third, ...
		// requests will wait in this semaphore.
		public Semaphore operInProcessSem;
		public Date operCompleteTime;
		public boolean answered = false;
/**
 * Constructor method for this class.
 * @param channelContext com.ibm.dse.clientserver.ChannelContext
 * @param operation com.ibm.dse.base.ServerOperation 
 */

public HtmlRequestData (ChannelContext channelContext, DSEServerOperation operation)
{
	this.channelContext = channelContext;
	this.operation = operation;
	operInProcessSem = new Semaphore();
	this.operCompleteTime = null;
}
/**
 * Constructor method for this class.
 * @param channelContext com.ibm.dse.clientserver.ChannelContext
 * @param operation com.ibm.dse.base.ServerOperation 
 */

public HtmlRequestData (ChannelContext channelContext, DSEServerOperation operation, Semaphore sem)
{
	this.channelContext = channelContext;
	this.operation = operation;
	operInProcessSem = sem;
	this.operCompleteTime = null;
}
}
